import { MenuFoldOutlined, MenuUnfoldOutlined } from "@ant-design/icons";
import { Button } from "antd";
import { Header } from "antd/es/layout/layout";

export default function HeaderMenu({
  isSideMenuCollapsed,
  setIsSideMenuCollapsed,
}) {
  return (
    <Header
      style={{
        position: "sticky",
        top: 0,
        zIndex: 10,
        width: "100%",
        display: "flex",
        alignItems: "center",
        padding: 0,
        background: "#fff",
        justifyContent: "space-between",
      }}
    >
      <Button
        type="text"
        icon={
          isSideMenuCollapsed ? <MenuUnfoldOutlined /> : <MenuFoldOutlined />
        }
        onClick={() => setIsSideMenuCollapsed(!isSideMenuCollapsed)}
        style={{ fontSize: "16px", width: 64, height: 64 }}
      />
    </Header>
  );
}
